Time (Axis API)
Keywords: org.apache.axis.types.Time,Time class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class Time

    java.lang.Object
      |
      +--org.apache.axis.types.Time

All Implemented Interfaces:
  java.io.Serializable

public class Time
extends java.lang.Object
implements java.io.Serializable

Class that represents the xsd:time XML Schema type

See Also:
  Serialized Form

Constructor Summary
`Time(java.util.Calendar value)` Initialize with a Calender, year month and date are ignored
`Time(java.lang.String value)` Converts a string formatted as HH:mm:ss[.SSS][+/-offset]

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.Calendar` | `getAsCalendar()`
`void` | `setTime(java.util.Calendar date)`
`void` | `setTime(java.util.Date date)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Time

    public Time(java.util.Calendar value)

  Initialize with a Calender, year month and date are ignored

### Time

    public Time(java.lang.String value)
         throws java.lang.NumberFormatException

  Converts a string formatted as HH:mm:ss[.SSS][+/-offset]

Method Detail

### getAsCalendar

    public java.util.Calendar getAsCalendar()

### setTime

    public void setTime(java.util.Calendar date)

### setTime

    public void setTime(java.util.Date date)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.